Skip to main content
POST
/
api
/
external
/
v2
/
delivery-profiles
/
v3
/
create-shipping-profile
Create a new shipping/delivery profile (V3)
curl --request POST \
  --url https://subscription-admin.appstle.com/api/external/v2/delivery-profiles/v3/create-shipping-profile \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "sellingPlanGroups": [
    {
      "label": "<string>",
      "value": "<string>"
    }
  ],
  "locations": [
    {
      "label": "<string>",
      "value": "<string>"
    }
  ],
  "zones": [
    {
      "countries": [
        {
          "value": "<string>",
          "label": "<string>",
          "includeAllProvinces": true,
          "provinces": [
            {
              "label": "<string>",
              "value": "<string>"
            }
          ]
        }
      ],
      "restOfWorld": true,
      "deliveryMethods": [
        {
          "name": "<string>",
          "amount": 123,
          "deliveryConditionType": "<string>",
          "minValue": 123,
          "maxValue": 123,
          "weightUnit": "<string>",
          "definitionType": "<string>",
          "carrierServiceId": "<string>",
          "carrierPercentageFee": 123,
          "carrierFixedFee": 123
        }
      ]
    }
  ],
  "id": "<string>",
  "profileId": 123,
  "locationInfos": [
    {
      "label": "<string>",
      "value": "<string>"
    }
  ]
}
'
{
  "name": "<string>",
  "sellingPlanGroups": [
    {
      "label": "<string>",
      "value": "<string>"
    }
  ],
  "locations": [
    {
      "label": "<string>",
      "value": "<string>"
    }
  ],
  "zones": [
    {
      "countries": [
        {
          "value": "<string>",
          "label": "<string>",
          "includeAllProvinces": true,
          "provinces": [
            {
              "label": "<string>",
              "value": "<string>"
            }
          ]
        }
      ],
      "restOfWorld": true,
      "deliveryMethods": [
        {
          "name": "<string>",
          "amount": 123,
          "deliveryConditionType": "<string>",
          "minValue": 123,
          "maxValue": 123,
          "weightUnit": "<string>",
          "definitionType": "<string>",
          "carrierServiceId": "<string>",
          "carrierPercentageFee": 123,
          "carrierFixedFee": 123
        }
      ]
    }
  ],
  "id": "<string>",
  "profileId": 123,
  "locationInfos": [
    {
      "label": "<string>",
      "value": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.appstle.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-API-Key
string

Query Parameters

api_key
string

API Key (Deprecated - Use Header X-API-Key instead)

Body

application/json
name
string
sellingPlanGroups
object[]
locations
object[]
zones
object[]
id
string
profileId
integer<int64>
locationInfos
object[]

Response

Delivery profile created successfully

name
string
sellingPlanGroups
object[]
locations
object[]
zones
object[]
id
string
profileId
integer<int64>
locationInfos
object[]